io.vertx.ext.auth.mongo

## Enum HashSaltStyle

- java.lang.Object
- - java.lang.Enum<HashSaltStyle>
  - - io.vertx.ext.auth.mongo.HashSaltStyle

- All Implemented Interfaces:
    Serializable, Comparable<HashSaltStyle>

      public enum HashSaltStyle
      extends Enum<HashSaltStyle>

  Password hash salt configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMN` Salt is in a separate column for each user in the database
    `EXTERNAL` Salt is NOT stored in the database, but defined as external value like application preferences or so
    `NO_SALT` Password hashes are not salted

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashSaltStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HashSaltStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_SALT

          public static final HashSaltStyle NO_SALT

      Password hashes are not salted

    - #### COLUMN

          public static final HashSaltStyle COLUMN

      Salt is in a separate column for each user in the database

    - #### EXTERNAL

          public static final HashSaltStyle EXTERNAL

      Salt is NOT stored in the database, but defined as external value like application preferences or so

  - ### Method Detail

    - #### values

          public static HashSaltStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HashSaltStyle c : HashSaltStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HashSaltStyle valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016. All rights reserved.